/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demovoto;

/**
 *
 * @author Giovanni Alestra
 */

import swinggl.*;

public class CreaLibrettoClick implements SwingGLEvent {
    
    SwingGL swgl;
    SwingGL iframe;
    int count;
    String nome;
    String matricola;
    String corsodilaurea;
    int numeromaterie;
    boolean specialistica;
    
    public CreaLibrettoClick ( SwingGL s, SwingGL i ) {
        swgl = s;
        iframe = i;
        count = 1;
    }
    
    public void Event ( String ActionCommand ) {
        try {
            nome = iframe.GetText("Nome");
            matricola = iframe.GetText("Matricola");
            corsodilaurea = iframe.GetText("Corso");
            specialistica = iframe.GetSelected("Specialistica");
            
            if ( nome.equals("") || matricola.equals("") || corsodilaurea.equals("")) {
                swgl.ShowMessageDialog("Compilare i Campi Correttamente!");
                return;
            }
            
            try {
                numeromaterie = Integer.parseInt(iframe.GetSelection("NMaterie"));
            } catch ( Exception e ) {}
           
            String frameName = "Libretto "+count; count++;
            String frameTitle = "Libretto " + nome;
            SwingGL libretto = swgl.newInternalFrame(frameName, "DesktopPane", frameTitle, 300+count*20, 10+count*20, 300, 400);
            
            libretto.newPanel("Panel", frameName,300,200+numeromaterie*30);
            libretto.newLabel("Label", "Panel", "Corso di Laurea in "+corsodilaurea, 10, 10, 300, 20);
            libretto.newLabel("Label2", "Panel", nome+" "+matricola , 10, 30, 300, 20);
           
            libretto.newLabel("Label5", "Panel", "Materia", 10, 80, 100, 20);
            libretto.newLabel("Label6", "Panel", "Crediti", 180, 80, 50, 20);
            libretto.newLabel("Label7", "Panel", "Voto", 220, 80, 30, 20);
            
            for (int i=0; i<numeromaterie; i++) {
                libretto.newTextField("Materia"+i, "Panel", "", 10, 110+i*30, 150, 20);
                libretto.newTextField("Crediti"+i, "Panel", "", 180, 110+30*i, 20, 20);
                libretto.newTextField("Voto"+i, "Panel", "", 210, 110+i*30, 20,20);
            }
           
             if ( specialistica ) {
                libretto.newLabel("Label4", "Panel", "Voto Triennale", 10, 130+numeromaterie*30 , 200, 20);
                libretto.newTextField("Voto", "Panel", "", 100, 130+numeromaterie*30, 30, 20);
            }
            
            CalcolaVotoClick calcolavoto = new CalcolaVotoClick ( libretto, numeromaterie, specialistica );
            libretto.newButton("Calcola","Panel", "Calcola Voto", 10, 170+numeromaterie*30, 200, 20, calcolavoto);
             
        } catch ( SwingGLException e ) {
            System.out.println (e.toString());
        }
    }
}
