/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demovoto;

/**
 *
 * @author Giovanni Alestra
 */

import swinggl.*;

public class CalcolaVotoClick implements SwingGLEvent {
    
    SwingGL swgl;
    int numeromaterie;
    boolean specialistica;
    int vototriennale;
    int cumulatavoti;
    int cumulatacrediti;
    
    public CalcolaVotoClick ( SwingGL s, int numeromat, boolean spec ) {
        swgl = s;
        numeromaterie = numeromat;
        specialistica = spec;
    }
    
    public void Event ( String ActionCommand ) {
        
        boolean compilazioneerrata=false;
        try {
            if ( specialistica ) {
                vototriennale = Integer.parseInt(swgl.GetText("Voto"));
                if ( vototriennale < 60 || vototriennale > 110) compilazioneerrata=true;
            }
            
            cumulatavoti=0;
            cumulatacrediti=0;
            
            for ( int i=0; i < numeromaterie; i++) {
                int crediti = Integer.parseInt(swgl.GetText("Crediti"+i));
                int voto = Integer.parseInt(swgl.GetText ("Voto"+i));
                cumulatavoti += crediti*voto;
                cumulatacrediti += crediti;
            }
            
            int voto = cumulatavoti*110/cumulatacrediti/30;
            if ( specialistica ) {
                voto = vototriennale/3+2*voto/3;
            }
            
            swgl.ShowMessageDialog("Il tuo voto è " + voto + " + Tesi !");
            
        } catch ( Exception e ) {
            compilazioneerrata = true;
        }
        
        if ( compilazioneerrata ) {
            swgl.ShowMessageDialog("Compilare il Libretto Correttamente!");
            return;
        }
        
    }
}
